Subject: Re: AW: [PATCH 1/2] stash--helper: implement "git stash--helper"

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Feb 2016 15:40:11 -0800

Michael Blume <[email-masked]> writes:

> Maybe this isn't important given that it looks like the patch is going
> to be rewritten, but I have
>
> stash.c:43:18: warning: incompatible pointer types assigning to 'const
> char *const *' from 'const char *'; take the address with &
> [-Wincompatible-pointer-types]
>                 write_tree.env = prefix;

The way posted patch tries to use the .env field when using the
run-command API is totally bogus and this compilation error is a
manifestation of that.

But the good news is that this should become irrelevant when the
patch is done by using internal calls ;-).